### Class

# Foundry VcsTree

#### Description

    abstract class Foundry.VcsTree : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- FoundryGitTree

#### Instance methods

###### foundry_vcs_tree_dup_id

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.VcsTree:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryVcsTreeClass {
      GObjectClass parent_class;
      char* (* dup_id) (
        FoundryVcsTree* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_id: char* (* dup_id) ( FoundryVcsTree* self )`

  No description available.

#### Virtual methods

###### Foundry.VcsTreeClass.dup_id

No description available.